import { world, system } from "@minecraft/server";

function executeSprintCommand(player) {
    const command = `scoreboard players remove @s wata 10`;
    player.runCommandAsync(command).catch(() => {
    });
}

system.runInterval(() => {
    for (const player of world.getAllPlayers()) {
        if (player.isSprinting) {
            executeSprintCommand(player);
        }
    }
}, 20); 




world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('zc_cooldev:trigger', {
    onTick: e => {
      const pos = e.block.location;
      

      e.dimension.runCommand(`scoreboard players remove @a[scores={hittt=500..},x=${pos.x},y=${pos.y},z=${pos.z},r=20] hittt 7`);
    },
  });

  initEvent.blockComponentRegistry.registerCustomComponent('zc_por_heat:trigger', {
    onTick: e => {
      const pos = e.block.location;

      e.dimension.runCommand(`scoreboard players add @a[scores={hittt=-5000..-1},x=${pos.x},y=${pos.y},z=${pos.z},r=20] hittt 7`);
    },
  });
});


world.beforeEvents.worldInitialize.subscribe(initEvent => { initEvent.itemComponentRegistry.registerCustomComponent('zc_pofh:trigger', {
  onUse: e => { e.source.runCommand("function temhighpotion"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_pofc:trigger', {
  onUse: e => { e.source.runCommand("function temdownpotion"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_frozencore:trigger', {
  onUse: e => { e.source.runCommand("function temdown"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_heatcore:trigger', {
  onUse: e => { e.source.runCommand("function temhigh"); },
});
 });

